devel/p5-Schedule-RateLimiter - The NetBSD Packages Collection

Perl5 module to schedule tasks with rate limiting

Schedule::RateLimiter provides a way to voluntarily restrict how many
times a given action may take place within a specified time frame.

Such a tool may be useful if you have written something which periodically
polls some public resource and want to ensure that you do not overburden
that resource with too many requests.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 8.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0aarch64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0aarch64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0aarch64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0alphap5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0alphap5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0alphap5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv6hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv6hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv6hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv6hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0earmv7hfp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0i386p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0mips64ebp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0mips64ebp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0mips64ebp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0powerpcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sh3elp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparc64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparc64p5-Schedule-RateLimiter-0.01nb14.tgz
NetBSD 9.0sparc64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparc64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0sparcp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0vaxp5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz
NetBSD 9.0x86_64p5-Schedule-RateLimiter-0.01nb15.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.